<?php
/*
Plugin Name: Multisite Themes
Plugin URI: http://playforward.net/multisite-themes.html
Description: Adds the ability to have different themes for different sites in a multisite atmoshpere.
Author: Dustin Dempsey
Version: 1.1
Author URI: http://playforward.net/
*/

/* 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License (Version 2 - GPLv2) as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//------------------------------------------------------------------------//
//---Hook-----------------------------------------------------------------//
//------------------------------------------------------------------------//

add_action("init", "multisite_themes");

//------------------------------------------------------------------------//
//---Functions------------------------------------------------------------//
//------------------------------------------------------------------------//


function multisite_themes() {

		// get current site information
		global $current_site;

		// define multisite themes directory
		$ms_themes = "ms-themes";

		// add to wp-content directory
		$dir = WP_CONTENT_DIR . "/" . $ms_themes;

		// check if directory exists and create it if it does not
		if ( ! is_dir($dir) ) {
			mkdir($dir);
		}

		// register theme directory for current site
		register_theme_directory($dir . '/' . $current_site->id);

}

?>